
TYPO3.Neos - Bug # 54574

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2013-12-22 Assigned To:
Updated: 2014-01-09 Due date:
Subject: Headlines style for alignment is not saved
Description

when a headline is centered / aligned with Aloha the style gets lost on save. This is because the style attribute is not allowed in the
aloha sanitize

Associated revisions
Revision 6ab79b82 - 2013-12-25 19:04 - Rens Admiraal

[BUGFIX] Headline alignment is not persisted

Aloha sanitize removes the style attribute from headline elements
when a headline is aligned using aloha.

Change-Id: I3c2fb0625bef4c8eb68429675a9a434c7ee6bf97
Fixes: #54574
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/26546
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision d58d2df9 - 2013-12-25 19:04 - Rens Admiraal

[BUGFIX] Headline alignment is not persisted

Aloha sanitize removes the style attribute from headline elements
when a headline is aligned using aloha.

Change-Id: I3c2fb0625bef4c8eb68429675a9a434c7ee6bf97
Fixes: #54574
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/26564
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-12-22 20:40 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26546
#2 - 2013-12-25 19:03 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26546

#3 - 2013-12-25 19:04 - Gerrit Code Review

Patch set 1 for branch 1.0 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/26564

#4 - 2013-12-25 19:35 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d58d2df9621d422c46ffa6f7fcd0b245d680ca88.

#5 - 2014-01-09 19:20 - Barcasal Lucius

Unfortunately, it's not working for Headlines with "Heading #" format. Actually it's only working for "Paragraph" format.
